ModernLoop Internal API
Apigithub

List files changed in a pull request

Read operation: does not mutate upstream state.

curl -X GET "https://api.modernloop.dev/rest/v1/github/repos/string/string/pulls/{number}/files" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY"
{  "files": [    {      "filename": "string",      "status": "string",      "additions": 0,      "deletions": 0,      "changes": 0,      "sha": "string",      "blob_url": "string",      "raw_url": "string",      "patch": "string",      "previous_filename": "string"    }  ],  "totalCount": 0}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

owner*string

Repository owner (user or organization)

repo*string

Repository name

number?|

Pull request number

Query Parameters

page?integer

Page number (1-based)

Range1 <= value
Default1
perPage?integer

Results per page (max 100)

Range1 <= value <= 100
Default30

Response Body

application/json

application/json

application/json

application/json

application/json